Bug 808729 - failed to auto GEAR_UP when set the auto scaling enabled
failed to auto GEAR_UP when set the auto scaling enabled
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jhon Honce
libra bugs
: Regression, Triaged
Depends On:
  Show dependency treegraph
Reported: 2012-03-31 07:09 EDT by Meng Bo
Modified: 2012-04-13 14:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-04-13 14:33:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Meng Bo 2012-03-31 07:09:02 EDT
Description of problem:
enable the scalable app auto scaling, trigger the auto scale up function, will get error message, and scale-up cannot be successful.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.create scalable app
2.ssh login to the app and start the auto scaling
haproxy_ctld --debug &
3.do some parallel connections and trigger the auto scale up
4.check the scale_events.log
tailf <gear_name>/logs/scale_events.log
Actual results:
Auto scale up got failed 

Expected results:
auto scale up should not get any problem and the gears count should be increased.

Additional info:
I, [2012-03-31T06:47:57.872265 #26325]  INFO -- : GEAR_UP - capacity: 390.0% gear_count: 1 sessions: 39 up_thresh: 90.0%
/usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require': no such file to load -- rest-client (LoadError)
	from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'
	from /usr/libexec/stickshift/cartridges/embedded/haproxy-1.4/info/bin/add-gear:4

Cannot reproduce this issue on devenv-stage_155
Comment 1 Mike McGrath 2012-04-02 11:46:03 EDT
Assigning to the Jhon-a-nator
Comment 2 Jhon Honce 2012-04-02 13:12:54 EDT
commit d4aaf08f6e28364d3f0a82a2a0b0eb2f23baff90

Added dependency to spec file.
Comment 3 Rob Millner 2012-04-04 14:17:06 EDT
John, can this bug be moved to ON_QA?   Thanks!
Comment 4 Jhon Honce 2012-04-04 14:29:49 EDT
Yes, I had punted to Mike to ensure commit got merged where ever else it was needed.
Comment 5 Xiaoli Tian 2012-04-05 09:36:10 EDT
Verified it on devenv_1696, it's fixed.

Note You need to log in before you can comment on or make changes to this bug.